Name:		perl-Text-Hunspell
Version:	2.01
Release:	2%{?dist}
Summary:	Perl interface to the Hunspell library
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/text_hunspell/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CO/COSIMO/Text-Hunspell-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(ExtUtils::MakeMaker), perl(Test::More), perl(Test::Pod)
BuildRequires:	gcc-c++, hunspell-devel >= 1.2.8, hunspell-en
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This module provides a Perl interface to the Hunspell library. This module
is to meet the need of looking up many words, one at a time, in a single
session, such as spell-checking a document in memory.

%prep
%setup -q -n Text-Hunspell-%{version}

%build
HUNSPELL_LIB_NAME=$(pkg-config --libs hunspell | sed 's/-l//; s/[[:space:]]*$//')
perl -pi -e "s/'hunspell'/'${HUNSPELL_LIB_NAME}'/" Makefile.PL t/00-prereq.t
perl Makefile.PL \
	INSTALLDIRS=vendor \
	LIBS="-l${HUNSPELL_LIB_NAME}" \
	OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -c -R u+w %{buildroot}

%check
LANG=en_US make test TEST_POD=1 TEST_VERBOSE=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/
%{perl_vendorarch}/auto/Text/
%{perl_vendorarch}/Text/
%{_mandir}/man3/Text::Hunspell.3pm*

%changelog
* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> - 2.01-2
- Sanitize for Fedora submission

* Wed Sep  8 2010 Paul Howarth <paul@city-fan.org> - 2.01-1
- Initial RPM version
